Skip to content

getCustomerItemPriceOverridesList

READ

Get customer item price overrides list.

POST /api/v1/sales/getCustomerItemPriceOverridesList
curl -X POST '<your-host>/api/v1/sales/getCustomerItemPriceOverridesList' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "applyRulesOnTop": true,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customerId": "string",
      "customerTypeId": "string",
      "id": "string",
      "itemId": "string",
      "notes": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "validFrom": "string",
      "validTo": "string",
      "customer": {
        "id": "string",
        "name": "string"
      },
      "customerType": {
        "id": "string",
        "name": "string"
      },
      "item": {
        "id": "string",
        "name": "string",
        "unitSalePrice": [
          {
            "unitSalePrice": 0
          }
        ]
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": "string"
        },
        "customerId": {
          "type": "string"
        },
        "customerTypeId": {
          "type": "string"
        },
        "itemId": {
          "type": "string"
        }
      }
    }
  }
}